Skip to main content
POST
Query Wallets

Headers

Abp-TenantId
string
required

Your unique Merchant ID assigned by CommercePay.

Authorization
string
required

Your API credentials used for authentication (typically a Bearer token).

cap-signature
string
required

A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.

Body

application/json
tenantId
integer
required

Your unique Merchant ID assigned by CommercePay.

timestamp
integer<int64>
required

Numeric timestamp in milliseconds representing request validation freshness, generated via new Date().getTime(). Example: 1621851652617.

Example:

1621851652617

Response

Success

tenantId
integer

Your unique Merchant ID assigned by CommercePay.

tenantName
string
wallets
WalletDetailDto · object[]